Skip to content
API Reference

Retrieve

client.Organizations.Users.Get(ctx, userID, params) (*OrganizationUser, error)
GET/organizations/{organization_id}/users/{user_id}

Get a specific user in an organization

ParametersExpand Collapse
userID string

Identifier for API resources. A 26-char nanoid (URL/DNS safe).

minLength1
maxLength255
params OrganizationUserGetParams
OrganizationID param.Field[string]

Path param: Organization ID or label identifier

minLength1
maxLength255
Expand param.Field[[]string]optional

Query param: Fields to expand in the response. Currently supports "permissions" to include the permissions field with the caller's permissions for the resource.

const OrganizationUserGetParamsExpandPermissions OrganizationUserGetParamsExpand = "permissions"
XClientRequestID param.Field[string]optional

Header param: Unique request identifier specified by the originating caller and passed along by proxies.

formatuuid
ReturnsExpand Collapse
type OrganizationUser struct{…}
ID string

The keycard account ID

minLength1
maxLength255
CreatedAt Time

The time the entity was created in utc

formatdate-time

User's role in the organization

Accepts one of the following:
const OrganizationRoleOrgAdmin OrganizationRole = "org_admin"
const OrganizationRoleOrgMember OrganizationRole = "org_member"
const OrganizationRoleOrgViewer OrganizationRole = "org_viewer"
Source string

Identity provider issuer

formaturi

Status of organization membership

Accepts one of the following:
const OrganizationStatusActive OrganizationStatus = "active"
const OrganizationStatusDisabled OrganizationStatus = "disabled"
UpdatedAt Time

The time the entity was mostly recently updated in utc

formatdate-time
Email stringoptional

User email address

formatemail
Permissions map[string, map[string, bool]]optional

Permissions granted to the authenticated principal for this resource. Only populated when the 'expand[]=permissions' query parameter is provided. Keys are resource types (e.g., "organizations"), values are objects mapping permission names to boolean values indicating if the permission is granted.

Retrieve

package main

import (
  "context"
  "fmt"

  "github.com/keycardai/keycard-go"
)

func main() {
  client := keycard.NewClient(

  )
  organizationUser, err := client.Organizations.Users.Get(
    context.TODO(),
    "ab3def8hij2klm9opq5rst7uvw",
    keycard.OrganizationUserGetParams{
      OrganizationID: "x",
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", organizationUser.ID)
}
{
  "id": "ab3def8hij2klm9opq5rst7uvw",
  "created_at": "2019-12-27T18:11:19.117Z",
  "role": "org_admin",
  "source": "https://example.com",
  "status": "active",
  "updated_at": "2019-12-27T18:11:19.117Z",
  "email": "dev@stainless.com",
  "permissions": {
    "organizations": {
      "read": true,
      "update": true
    },
    "users": {
      "read": true,
      "list": true
    }
  }
}
Returns Examples
{
  "id": "ab3def8hij2klm9opq5rst7uvw",
  "created_at": "2019-12-27T18:11:19.117Z",
  "role": "org_admin",
  "source": "https://example.com",
  "status": "active",
  "updated_at": "2019-12-27T18:11:19.117Z",
  "email": "dev@stainless.com",
  "permissions": {
    "organizations": {
      "read": true,
      "update": true
    },
    "users": {
      "read": true,
      "list": true
    }
  }
}